Bug 265495 - Add a 'Search' option
Summary: Add a 'Search' option
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Maemo 5 Linux
: NOR wishlist (vote)
Target Milestone: 1.1.0
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-05 10:58 UTC by nodevel
Modified: 2011-05-04 18:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.2.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nodevel 2011-02-05 10:58:46 UTC
Add a Search option similar to the one in the desktop edition of Marble. Currently, the only way to search a map for 'place A' is to make a route from place A to place B (or the other way around), which is pretty uncomfortable for everyday use.
Comment 1 Dennis Nienhüser 2011-02-05 13:58:18 UTC
Makes sense.
Comment 2 Dennis Nienhüser 2011-05-04 18:49:51 UTC
Git commit 7ae9e216af51d57128f3e8b14f3e9ab4f835cd85 by Dennis Nienhüser.
Committed on 30/04/2011 at 23:26.
Pushed by nienhueser into branch 'master'.

Add a placemark search option to the 'Go To...' dialog.

Similar to the 'Navigation' tab of the desktop application, a line edit
can be used to enter search terms and runners fetch matches presented
in the list view.
REVIEW: 101261
BUG: 265495
FIXED-IN: 1.2.0

M  +63   -3    src/lib/GoToDialog.cpp     
M  +7    -0    src/lib/GoToDialog.h     
M  +32   -2    src/lib/GoToDialog.ui     

http://commits.kde.org/marble/7ae9e216af51d57128f3e8b14f3e9ab4f835cd85